---
title: "Update a size chart"
description: >
  Update a size chart. After the update, the product sizes will prioritize displaying the latest data.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/size-chart/update-a-size-chart'
  md: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/size-chart/update-a-size-chart.md'
---
# Update a size chart

Update a size chart. After the update, the product sizes will prioritize displaying the latest data. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_product_sizechart`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /sizechart.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_product_sizechart`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `req`

  object

  Request parameters.

  * `status`

    boolean

    Whether to publish the size chart. 
    
    - `true`: publish
    - `false`: not publish
    
    Default value：`false`

  * `collection_list`

    array<string>

    When the `applicable_product_type` is set to `COLLECTION`, use this field to pass in a list of collection IDs to which the size chart applies. 
    
    Maximum size : 50

  * `languages`

    array<string>

    When `language_scope` is set to `SPECIFIC`, use this field to pass an array of language codes to which the size chart applies. 
    
    - `pt-pt`: Portuguese (Portugal)
    - `tr`: Turkish
    - `zh-hans-cn`: Simplified Chinese (Mainland China)
    - `vi`: Vietnamese
    - `sv`: Swedish
    - `zh-hant-tw`: Traditional Chinese
    - `th`: Thai
    - `ar`: Arabic
    - `pl`: Polish
    - `ro`: Romanian
    - `sk`: Slovak
    - `ko`: Korean
    - `lv`: Latvian
    - `ms`: Malay
    - `pt`: Portuguese (Brazil)
    - `it`: Italian
    - `ja`: Japanese
    - `lt`: Lithuanian
    - `sl`: Slovenian
    - `nb`: Norwegian Bokmål
    - `ru`: Russian
    - `nl`: Dutch
    - `en`: English
    - `id`: Indonesian
    - `et`: Estonian
    - `bg`: Bulgarian
    - `hi`: Hindi
    - `cs`: Czech
    - `es`: Spanish
    - `fr`: French
    - `fi`: Finnish
    - `da`: Danish
    - `el`: Greek
    - `de`: German
    - `hr`: Croatian
    - `hu`: Hungarian

  * `product_list`

    array<string>

    When `applicable_product_type` is set to `SPECIFIC`, use this field to pass in a list of product IDs to which the size chart applies.
    
    Maximum size: 100

  * `size_chart_id`

    string

    The unique ID of size chart .

  * `contents`

    array<object>

    Size data list, to be processed sequentially from the first item, with any items beyond the first 10 being truncated.
    
    Maximum size: 10

    * `cross_table_content`

      object

      Cross table data that commonly used to display specific sizes suitable for different body parameters. For example, a height of 170cm and a weight of 70kg are suitable for size L.

      * `size_data`

        array<object>

        A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. 
        
        Maximum size: 50 

      * `column_title`

        string

        The column title in a cross table that indicates the size information represented by the column data. For example, `weight` denotes that the column data represents weight data.
        
        Default value: `weight`
        
        Maximum length：20 

      * `column_unit`

        object

        The size unit of  the column's data in the  cross table.

      * `remark`

        string

        Cross table remark.
        
        Maximum length：255

      * `row_title`

        string

        The row title in a cross table that explains the size information represented by the row data. For example, `height` denotes that the row data represents height data.
        
        Default value: `height`
        
        Maximum length: 20 

      * `row_unit`

        object

        The size unit of  the rows in the  cross table.

    * `table_content`

      object

      Table data that commonly used to display size data in tabular form. For example, the shoulder width for size S is 60, and the waist circumference is 55.

      * `remark`

        string

        Table remark.
        
        Maximum length: 255

      * `size_data`

        array<object>

        A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. 
        
        Maximum size: 50 

      * `unit`

        object

        The unit of measurement used for the size data in the table.

      * `country_size`

        object

        The country size data represents the names of sizes in different countries within this table.

    * `tabs`

      array<object>

      A list of tab data that allows for multiple tab columns with various types of size data content within each tab.  
      
      Maximum size : 5

      * `tab_content`

        array<object>

        A list of tab column data. 
        
        Maximum size: 10 

      * `tab_name`

        string

        The name of  tab column.
        
        Maximum length : 50
        

    * `text`

      string

      The text content . 

    * `title`

      string

      Size chart title. If the title exceeds the maximum length, it will be truncated. 
      
      Maximum length: 50

    * `type`

      string

      Enumaration of supported content types in a size chart. Valid values are: 
       
      - `SIZE_CHART`: indicates a table
      - `CROSS_SIZE_CHART`: indicates a cross table
      - `IMAGE`: indicates an image
      - `TEXT`: indicates text
      - `TAB`: indicates a tab

    * `url`

      string

      The image content, represented by a URL. Specify this field when the value of `type` is `IMAGE`. 

  * `applicable_product_type`

    string

    Specify the scope of products to which the size chart applies. Valid values are:
    - `ALL`：apply to all products  
    - `SPECIFIC`：apply to specific products
    - `COLLECTION`：apply to specific product collection
    
    Default value: `ALL`

  * `title`

    string

    Size chart title. It will be truncated if it exceeds the maximum length.
    
    Maximum length：100

  * `applicable_attribute_list`

    array<string>

    A list of product attributes applicable to the size chart, where each attribute can be used to describe product characteristics, such as `size`.
    
    Maximum length per string : 255
    
    Maximum size : 50

  * `language_scope`

    string

    Specify the scope of languages to which the size chart applies. When `language_scope` = `SPECIFIC`, the languages cannot be empty and must specify the supported languages. Valid values are:
    
    - `ALL`: apply to all languages
    - `SPECIFIC`: apply to specific languages
    
    Default value：`ALL`

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Response data.

  * `size_chart_id`

    string

     Size chart ID.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Update a size chart. After the update, the product sizes will prioritize displaying the latest data. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_product_sizechart` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "8UTyyjYO",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "req": {
              "name": "req",
              "description": "Request parameters.",
              "type": "object",
              "properties": {
                "status": {
                  "name": "status",
                  "description": "Whether to publish the size chart. \n\n- `true`: publish\n- `false`: not publish\n\nDefault value：`false`",
                  "type": "boolean",
                  "example": false
                },
                "collection_list": {
                  "name": "collection_list",
                  "description": "When the `applicable_product_type` is set to `COLLECTION`, use this field to pass in a list of collection IDs to which the size chart applies. \n\nMaximum size : 50",
                  "type": "array",
                  "items": {
                    "name": "collection_list",
                    "description": "When the `applicable_product_type` is set to `COLLECTION`, use this field to pass in a list of collection IDs to which the size chart applies. \n\nMaximum size : 50",
                    "type": "string",
                    "example": "12260895952237462871473144"
                  },
                  "example": [
                    "12260895952237462871473144"
                  ]
                },
                "languages": {
                  "name": "languages",
                  "description": "When `language_scope` is set to `SPECIFIC`, use this field to pass an array of language codes to which the size chart applies. \n\n- `pt-pt`: Portuguese (Portugal)\n- `tr`: Turkish\n- `zh-hans-cn`: Simplified Chinese (Mainland China)\n- `vi`: Vietnamese\n- `sv`: Swedish\n- `zh-hant-tw`: Traditional Chinese\n- `th`: Thai\n- `ar`: Arabic\n- `pl`: Polish\n- `ro`: Romanian\n- `sk`: Slovak\n- `ko`: Korean\n- `lv`: Latvian\n- `ms`: Malay\n- `pt`: Portuguese (Brazil)\n- `it`: Italian\n- `ja`: Japanese\n- `lt`: Lithuanian\n- `sl`: Slovenian\n- `nb`: Norwegian Bokmål\n- `ru`: Russian\n- `nl`: Dutch\n- `en`: English\n- `id`: Indonesian\n- `et`: Estonian\n- `bg`: Bulgarian\n- `hi`: Hindi\n- `cs`: Czech\n- `es`: Spanish\n- `fr`: French\n- `fi`: Finnish\n- `da`: Danish\n- `el`: Greek\n- `de`: German\n- `hr`: Croatian\n- `hu`: Hungarian",
                  "type": "array",
                  "items": {
                    "name": "languages",
                    "description": "When `language_scope` is set to `SPECIFIC`, use this field to pass an array of language codes to which the size chart applies. \n\n- `pt-pt`: Portuguese (Portugal)\n- `tr`: Turkish\n- `zh-hans-cn`: Simplified Chinese (Mainland China)\n- `vi`: Vietnamese\n- `sv`: Swedish\n- `zh-hant-tw`: Traditional Chinese\n- `th`: Thai\n- `ar`: Arabic\n- `pl`: Polish\n- `ro`: Romanian\n- `sk`: Slovak\n- `ko`: Korean\n- `lv`: Latvian\n- `ms`: Malay\n- `pt`: Portuguese (Brazil)\n- `it`: Italian\n- `ja`: Japanese\n- `lt`: Lithuanian\n- `sl`: Slovenian\n- `nb`: Norwegian Bokmål\n- `ru`: Russian\n- `nl`: Dutch\n- `en`: English\n- `id`: Indonesian\n- `et`: Estonian\n- `bg`: Bulgarian\n- `hi`: Hindi\n- `cs`: Czech\n- `es`: Spanish\n- `fr`: French\n- `fi`: Finnish\n- `da`: Danish\n- `el`: Greek\n- `de`: German\n- `hr`: Croatian\n- `hu`: Hungarian",
                    "type": "string",
                    "example": "EN,CN"
                  },
                  "example": [
                    "EN,CN"
                  ]
                },
                "product_list": {
                  "name": "product_list",
                  "description": "When `applicable_product_type` is set to `SPECIFIC`, use this field to pass in a list of product IDs to which the size chart applies.\n\nMaximum size: 100",
                  "type": "array",
                  "items": {
                    "name": "product_list",
                    "description": "When `applicable_product_type` is set to `SPECIFIC`, use this field to pass in a list of product IDs to which the size chart applies.\n\nMaximum size: 100",
                    "type": "string",
                    "example": "16064649853088531841170520"
                  },
                  "example": [
                    "16064649853088531841170520"
                  ]
                },
                "size_chart_id": {
                  "name": "size_chart_id",
                  "description": "The unique ID of size chart .",
                  "type": "string",
                  "example": "13266288837293171311580520"
                },
                "contents": {
                  "name": "contents",
                  "description": "Size data list, to be processed sequentially from the first item, with any items beyond the first 10 being truncated.\n\nMaximum size: 10",
                  "type": "array",
                  "items": {
                    "name": "contents",
                    "description": "Size data list, to be processed sequentially from the first item, with any items beyond the first 10 being truncated.\n\nMaximum size: 10",
                    "type": "object",
                    "properties": {
                      "cross_table_content": {
                        "name": "cross_table_content",
                        "description": "Cross table data that commonly used to display specific sizes suitable for different body parameters. For example, a height of 170cm and a weight of 70kg are suitable for size L.",
                        "type": "object",
                        "properties": {
                          "size_data": {
                            "name": "size_data",
                            "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                            "type": "array",
                            "items": {
                              "name": "size_data",
                              "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                              "type": "object",
                              "properties": {
                                "row_data": {
                                  "name": "row_data",
                                  "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                  "type": "array",
                                  "items": {
                                    "name": "row_data",
                                    "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                    "type": "string",
                                    "example": "XS,64"
                                  },
                                  "example": [
                                    "XS,64"
                                  ]
                                }
                              },
                              "required": [
                                "row_data"
                              ],
                              "example": {
                                "row_data": [
                                  "XS,64"
                                ]
                              }
                            },
                            "example": [
                              {
                                "row_data": [
                                  "XS,64"
                                ]
                              }
                            ]
                          },
                          "column_title": {
                            "name": "column_title",
                            "description": "The column title in a cross table that indicates the size information represented by the column data. For example, `weight` denotes that the column data represents weight data.\n\nDefault value: `weight`\n\nMaximum length：20 ",
                            "type": "string",
                            "example": "weight"
                          },
                          "column_unit": {
                            "name": "column_unit",
                            "description": "The size unit of  the column's data in the  cross table.",
                            "type": "object",
                            "properties": {
                              "convert_unit": {
                                "name": "convert_unit",
                                "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `kg`.",
                                "type": "string",
                                "example": "kg"
                              },
                              "default_unit": {
                                "name": "default_unit",
                                "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `lb`.\n",
                                "type": "string",
                                "example": "lb"
                              },
                              "unit_type": {
                                "name": "unit_type",
                                "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                "type": "string",
                                "example": "WEIGHT"
                              }
                            },
                            "example": {
                              "convert_unit": "kg",
                              "default_unit": "lb",
                              "unit_type": "WEIGHT"
                            }
                          },
                          "remark": {
                            "name": "remark",
                            "description": "Cross table remark.\n\nMaximum length：255",
                            "type": "string",
                            "example": "1 lb = 0.45 kg，1 feet = 30.48 cm"
                          },
                          "row_title": {
                            "name": "row_title",
                            "description": "The row title in a cross table that explains the size information represented by the row data. For example, `height` denotes that the row data represents height data.\n\nDefault value: `height`\n\nMaximum length: 20 ",
                            "type": "string",
                            "example": "height"
                          },
                          "row_unit": {
                            "name": "row_unit",
                            "description": "The size unit of  the rows in the  cross table.",
                            "type": "object",
                            "properties": {
                              "convert_unit": {
                                "name": "convert_unit",
                                "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `feet`.",
                                "type": "string",
                                "example": "feet"
                              },
                              "default_unit": {
                                "name": "default_unit",
                                "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                "type": "string",
                                "example": "cm"
                              },
                              "unit_type": {
                                "name": "unit_type",
                                "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                "type": "string",
                                "example": "LENGTH"
                              }
                            },
                            "example": {
                              "default_unit": "cm",
                              "unit_type": "LENGTH",
                              "convert_unit": "feet"
                            }
                          }
                        },
                        "required": [
                          "size_data"
                        ],
                        "example": {
                          "size_data": [
                            {
                              "row_data": [
                                "XS,64"
                              ]
                            }
                          ],
                          "column_title": "weight",
                          "column_unit": {
                            "convert_unit": "kg",
                            "default_unit": "lb",
                            "unit_type": "WEIGHT"
                          },
                          "remark": "1 lb = 0.45 kg，1 feet = 30.48 cm",
                          "row_title": "height",
                          "row_unit": {
                            "default_unit": "cm",
                            "unit_type": "LENGTH",
                            "convert_unit": "feet"
                          }
                        }
                      },
                      "table_content": {
                        "name": "table_content",
                        "description": "Table data that commonly used to display size data in tabular form. For example, the shoulder width for size S is 60, and the waist circumference is 55.",
                        "type": "object",
                        "properties": {
                          "remark": {
                            "name": "remark",
                            "description": "Table remark.\n\nMaximum length: 255",
                            "type": "string",
                            "example": "1inch=2.54cm"
                          },
                          "size_data": {
                            "name": "size_data",
                            "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                            "type": "array",
                            "items": {
                              "name": "size_data",
                              "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                              "type": "object",
                              "properties": {
                                "row_data": {
                                  "name": "row_data",
                                  "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                  "type": "array",
                                  "items": {
                                    "name": "row_data",
                                    "description": "A list of cross table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                    "type": "string",
                                    "example": "XS,64"
                                  },
                                  "example": [
                                    "XS,64"
                                  ]
                                }
                              },
                              "required": [
                                "row_data"
                              ],
                              "example": {
                                "row_data": [
                                  "XS,64"
                                ]
                              }
                            },
                            "example": [
                              {
                                "row_data": [
                                  "XS,64"
                                ]
                              }
                            ]
                          },
                          "unit": {
                            "name": "unit",
                            "description": "The unit of measurement used for the size data in the table.",
                            "type": "object",
                            "properties": {
                              "default_unit": {
                                "name": "default_unit",
                                "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                "type": "string",
                                "example": "cm"
                              },
                              "unit_type": {
                                "name": "unit_type",
                                "description": "The unit types supported by table. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                "type": "string",
                                "example": "LENGTH"
                              },
                              "convert_unit": {
                                "name": "convert_unit",
                                "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `in`.",
                                "type": "string",
                                "example": "in"
                              }
                            },
                            "example": {
                              "convert_unit": "in",
                              "default_unit": "cm",
                              "unit_type": "LENGTH"
                            }
                          },
                          "country_size": {
                            "name": "country_size",
                            "description": "The country size data represents the names of sizes in different countries within this table.",
                            "type": "object",
                            "properties": {
                              "cover_attribute": {
                                "name": "cover_attribute",
                                "description": "Whether to use `country_size_data` to override the default size values. \n\n● `true`：override\n      \n● `false`：not override\n\nDefault value：`false`",
                                "type": "boolean",
                                "example": false
                              },
                              "status": {
                                "name": "status",
                                "description": "Whether to turn on the country size switch.\n\n● `true`：turn on the switch.\n      \n● `false`：turn off the switch.\n\nDefault value：`false`",
                                "type": "boolean",
                                "example": true
                              },
                              "country_size_data": {
                                "name": "country_size_data",
                                "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                "type": "array",
                                "items": {
                                  "name": "country_size_data",
                                  "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                  "type": "object",
                                  "properties": {
                                    "country": {
                                      "name": "country",
                                      "description": "Country name.\n\nMaximum length per name：19",
                                      "type": "string",
                                      "example": "United States"
                                    },
                                    "data": {
                                      "name": "data",
                                      "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                      "type": "array",
                                      "items": {
                                        "name": "data",
                                        "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                        "type": "string",
                                        "example": "78,89"
                                      },
                                      "example": [
                                        "78,89"
                                      ]
                                    }
                                  },
                                  "required": [
                                    "country",
                                    "data"
                                  ],
                                  "example": {
                                    "country": "United States",
                                    "data": [
                                      "78,89"
                                    ]
                                  }
                                },
                                "example": [
                                  {
                                    "data": [
                                      "78,89"
                                    ],
                                    "country": "United States"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "country_size_data"
                            ],
                            "example": {
                              "status": true,
                              "country_size_data": [
                                {
                                  "country": "United States",
                                  "data": [
                                    "78,89"
                                  ]
                                }
                              ],
                              "cover_attribute": false
                            }
                          }
                        },
                        "required": [
                          "size_data"
                        ],
                        "example": {
                          "country_size": {
                            "country_size_data": [
                              {
                                "data": [
                                  "78,89"
                                ],
                                "country": "United States"
                              }
                            ],
                            "cover_attribute": false,
                            "status": true
                          },
                          "remark": "1inch=2.54cm",
                          "size_data": [
                            {
                              "row_data": [
                                "XS,64"
                              ]
                            }
                          ],
                          "unit": {
                            "convert_unit": "in",
                            "default_unit": "cm",
                            "unit_type": "LENGTH"
                          }
                        }
                      },
                      "tabs": {
                        "name": "tabs",
                        "description": "A list of tab data that allows for multiple tab columns with various types of size data content within each tab.  \n\nMaximum size : 5",
                        "type": "array",
                        "items": {
                          "name": "tabs",
                          "description": "A list of tab data that allows for multiple tab columns with various types of size data content within each tab.  \n\nMaximum size : 5",
                          "type": "object",
                          "properties": {
                            "tab_content": {
                              "name": "tab_content",
                              "description": "A list of tab column data. \n\nMaximum size: 10 ",
                              "type": "array",
                              "items": {
                                "name": "tab_content",
                                "description": "A list of tab column data. \n\nMaximum size: 10 ",
                                "type": "object",
                                "properties": {
                                  "url": {
                                    "name": "url",
                                    "description": "The image under the tab, represented by a URL. Specify this field when the value of `type` is `IMAGE`. ",
                                    "type": "string",
                                    "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                                  },
                                  "cross_table_content": {
                                    "name": "cross_table_content",
                                    "description": "Cross table data that commonly used to display specific sizes suitable for different body parameters. For example, a height of 170cm and a weight of 70kg are suitable for size L.",
                                    "type": "object",
                                    "properties": {
                                      "column_title": {
                                        "name": "column_title",
                                        "description": "The column title in a cross table that indicates the size information represented by the column data. For example, `weight` denotes that the column data represents weight data.\n\nDefault value: `weight`\n\nMaximum length：20 ",
                                        "type": "string",
                                        "example": "weight"
                                      },
                                      "column_unit": {
                                        "name": "column_unit",
                                        "description": "The size unit of  the columns in the  cross table.",
                                        "type": "object",
                                        "properties": {
                                          "convert_unit": {
                                            "name": "convert_unit",
                                            "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `kg`.",
                                            "type": "string",
                                            "example": "kg"
                                          },
                                          "default_unit": {
                                            "name": "default_unit",
                                            "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `lb`.\n",
                                            "type": "string",
                                            "example": "lb"
                                          },
                                          "unit_type": {
                                            "name": "unit_type",
                                            "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                            "type": "string",
                                            "example": "WEIGHT"
                                          }
                                        },
                                        "example": {
                                          "convert_unit": "kg",
                                          "default_unit": "lb",
                                          "unit_type": "WEIGHT"
                                        }
                                      },
                                      "remark": {
                                        "name": "remark",
                                        "description": "Cross table remark.\n\nMaximum length：255",
                                        "type": "string",
                                        "example": "1 lb = 0.45 kg，1 feet = 30.48 cm"
                                      },
                                      "row_title": {
                                        "name": "row_title",
                                        "description": "The row title in a cross table that explains the size information represented by the row data. For example, `height` denotes that the row data represents height data.\n\nDefault value: `height`\n\nMaximum length: 20 ",
                                        "type": "string",
                                        "example": "height"
                                      },
                                      "row_unit": {
                                        "name": "row_unit",
                                        "description": "The size unit of  the rows in the  cross table.",
                                        "type": "object",
                                        "properties": {
                                          "default_unit": {
                                            "name": "default_unit",
                                            "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                            "type": "string",
                                            "example": "cm"
                                          },
                                          "unit_type": {
                                            "name": "unit_type",
                                            "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                            "type": "string",
                                            "example": "LENGTH"
                                          },
                                          "convert_unit": {
                                            "name": "convert_unit",
                                            "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `feet`.",
                                            "type": "string",
                                            "example": "feet"
                                          }
                                        },
                                        "example": {
                                          "unit_type": "LENGTH",
                                          "convert_unit": "feet",
                                          "default_unit": "cm"
                                        }
                                      },
                                      "size_data": {
                                        "name": "size_data",
                                        "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                        "type": "array",
                                        "items": {
                                          "name": "size_data",
                                          "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                          "type": "object",
                                          "properties": {
                                            "row_data": {
                                              "name": "row_data",
                                              "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                              "type": "array",
                                              "items": {
                                                "name": "row_data",
                                                "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                "type": "string",
                                                "example": "XS,64"
                                              },
                                              "example": [
                                                "XS,64"
                                              ]
                                            }
                                          },
                                          "required": [
                                            "row_data"
                                          ],
                                          "example": {
                                            "row_data": [
                                              "XS,64"
                                            ]
                                          }
                                        },
                                        "example": [
                                          {
                                            "row_data": [
                                              "XS,64"
                                            ]
                                          }
                                        ]
                                      }
                                    },
                                    "required": [
                                      "size_data"
                                    ],
                                    "example": {
                                      "remark": "1 lb = 0.45 kg，1 feet = 30.48 cm",
                                      "row_title": "height",
                                      "row_unit": {
                                        "convert_unit": "feet",
                                        "default_unit": "cm",
                                        "unit_type": "LENGTH"
                                      },
                                      "size_data": [
                                        {
                                          "row_data": [
                                            "XS,64"
                                          ]
                                        }
                                      ],
                                      "column_title": "weight",
                                      "column_unit": {
                                        "convert_unit": "kg",
                                        "default_unit": "lb",
                                        "unit_type": "WEIGHT"
                                      }
                                    }
                                  },
                                  "table_content": {
                                    "name": "table_content",
                                    "description": "Table data that commonly used to display size data in tabular form. For example, the shoulder width for size S is 60, and the waist circumference is 55.",
                                    "type": "object",
                                    "properties": {
                                      "country_size": {
                                        "name": "country_size",
                                        "description": "The country size data, representing size names in different countries. ",
                                        "type": "object",
                                        "properties": {
                                          "country_size_data": {
                                            "name": "country_size_data",
                                            "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                            "type": "array",
                                            "items": {
                                              "name": "country_size_data",
                                              "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                              "type": "object",
                                              "properties": {
                                                "country": {
                                                  "name": "country",
                                                  "description": "Country name.\n\nMaximum length：19",
                                                  "type": "string",
                                                  "example": "US"
                                                },
                                                "data": {
                                                  "name": "data",
                                                  "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                                  "type": "array",
                                                  "items": {
                                                    "name": "data",
                                                    "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                                    "type": "string",
                                                    "example": "78,89"
                                                  },
                                                  "example": [
                                                    "78,89"
                                                  ]
                                                }
                                              },
                                              "required": [
                                                "country",
                                                "data"
                                              ],
                                              "example": {
                                                "country": "US",
                                                "data": [
                                                  "78,89"
                                                ]
                                              }
                                            },
                                            "example": [
                                              {
                                                "data": [
                                                  "78,89"
                                                ],
                                                "country": "US"
                                              }
                                            ]
                                          },
                                          "cover_attribute": {
                                            "name": "cover_attribute",
                                            "description": "Whether to use `country_size_data` to override the default size values.\n\n● `true`：override\n      \n● `false`：not override\n\nDefault value：`false`",
                                            "type": "boolean",
                                            "example": false
                                          },
                                          "status": {
                                            "name": "status",
                                            "description": "Whether to turn on the country size switch.\n\n● `true`：turn on the switch \n      \n● `false`：turn off the switch\n\nDefault value：`false`\n\n",
                                            "type": "boolean",
                                            "example": true
                                          }
                                        },
                                        "required": [
                                          "country_size_data"
                                        ],
                                        "example": {
                                          "cover_attribute": false,
                                          "status": true,
                                          "country_size_data": [
                                            {
                                              "country": "US",
                                              "data": [
                                                "78,89"
                                              ]
                                            }
                                          ]
                                        }
                                      },
                                      "remark": {
                                        "name": "remark",
                                        "description": "Table remark.\n\nMaximum length: 255",
                                        "type": "string",
                                        "example": "1inch=2.54cm"
                                      },
                                      "size_data": {
                                        "name": "size_data",
                                        "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                        "type": "array",
                                        "items": {
                                          "name": "size_data",
                                          "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                          "type": "object",
                                          "properties": {
                                            "row_data": {
                                              "name": "row_data",
                                              "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                              "type": "array",
                                              "items": {
                                                "name": "row_data",
                                                "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                "type": "string",
                                                "example": "XS,64"
                                              },
                                              "example": [
                                                "XS,64"
                                              ]
                                            }
                                          },
                                          "required": [
                                            "row_data"
                                          ],
                                          "example": {
                                            "row_data": [
                                              "XS,64"
                                            ]
                                          }
                                        },
                                        "example": [
                                          {
                                            "row_data": [
                                              "XS,64"
                                            ]
                                          }
                                        ]
                                      },
                                      "unit": {
                                        "name": "unit",
                                        "description": "The unit of measurement used for the size data in the table.",
                                        "type": "object",
                                        "properties": {
                                          "convert_unit": {
                                            "name": "convert_unit",
                                            "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `in`.",
                                            "type": "string",
                                            "example": ""
                                          },
                                          "default_unit": {
                                            "name": "default_unit",
                                            "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                            "type": "string",
                                            "example": ""
                                          },
                                          "unit_type": {
                                            "name": "unit_type",
                                            "description": "The unit types supported by table. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                            "type": "string",
                                            "example": ""
                                          }
                                        },
                                        "example": {
                                          "convert_unit": "",
                                          "default_unit": "",
                                          "unit_type": ""
                                        }
                                      }
                                    },
                                    "required": [
                                      "size_data"
                                    ],
                                    "example": {
                                      "size_data": [
                                        {
                                          "row_data": [
                                            "XS,64"
                                          ]
                                        }
                                      ],
                                      "unit": {
                                        "convert_unit": "",
                                        "default_unit": "",
                                        "unit_type": ""
                                      },
                                      "country_size": {
                                        "country_size_data": [
                                          {
                                            "country": "US",
                                            "data": [
                                              "78,89"
                                            ]
                                          }
                                        ],
                                        "cover_attribute": false,
                                        "status": true
                                      },
                                      "remark": "1inch=2.54cm"
                                    }
                                  },
                                  "tabs": {
                                    "name": "tabs",
                                    "description": "Secondary tab data structure where tabs can be nested under tabs to create a second-level tab effect, with a maximum nesting level of 2.  \n\nMaximum size : 5",
                                    "type": "array",
                                    "items": {
                                      "name": "tabs",
                                      "description": "Secondary tab data structure where tabs can be nested under tabs to create a second-level tab effect, with a maximum nesting level of 2.  \n\nMaximum size : 5",
                                      "type": "object",
                                      "properties": {
                                        "tab_content": {
                                          "name": "tab_content",
                                          "description": "Secondary tab data structure where tabs can be nested under tabs to create a second-level tab effect, with a maximum nesting level of 2. \n\nMaximum size of tab column per tab : 5",
                                          "type": "array",
                                          "items": {
                                            "name": "tab_content",
                                            "description": "Secondary tab data structure where tabs can be nested under tabs to create a second-level tab effect, with a maximum nesting level of 2. \n\nMaximum size of tab column per tab : 5",
                                            "type": "object",
                                            "properties": {
                                              "type": {
                                                "name": "type",
                                                "description": "Enumaration of supported content types in secondary tab. Valid values are:\n \n- `SIZE_CHART`: indicates a table\n- `CROSS_SIZE_CHART`: indicates a cross table\n- `IMAGE`: indicates an image\n- `TEXT`: indicates text\n",
                                                "type": "string",
                                                "example": ""
                                              },
                                              "url": {
                                                "name": "url",
                                                "description": "The image under the tab, represented by a URL. Specify this field when the value of `type` is `IMAGE`. ",
                                                "type": "string",
                                                "example": ""
                                              },
                                              "cross_table_content": {
                                                "name": "cross_table_content",
                                                "description": "Cross table data that commonly used to display specific sizes suitable for different body parameters. For example, a height of 170cm and a weight of 70kg are suitable for size L.",
                                                "type": "object",
                                                "properties": {
                                                  "remark": {
                                                    "name": "remark",
                                                    "description": "Cross table remark.\n\nMaximum length：255",
                                                    "type": "string",
                                                    "example": "1 lb = 0.45 kg，1 feet = 30.48 cm"
                                                  },
                                                  "row_title": {
                                                    "name": "row_title",
                                                    "description": "The row title in a cross table that explains the size information represented by the row data. For example, `height` denotes that the row data represents height data.\n\nDefault value: `height`\n\nMaximum length: 20 ",
                                                    "type": "string",
                                                    "example": "height"
                                                  },
                                                  "row_unit": {
                                                    "name": "row_unit",
                                                    "description": "The size unit of  the rows in the  cross table.",
                                                    "type": "object",
                                                    "properties": {
                                                      "convert_unit": {
                                                        "name": "convert_unit",
                                                        "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `feet`.",
                                                        "type": "string",
                                                        "example": "feet"
                                                      },
                                                      "default_unit": {
                                                        "name": "default_unit",
                                                        "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                                        "type": "string",
                                                        "example": "cm"
                                                      },
                                                      "unit_type": {
                                                        "name": "unit_type",
                                                        "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                        "type": "string",
                                                        "example": "LENGTH"
                                                      }
                                                    },
                                                    "example": {
                                                      "unit_type": "LENGTH",
                                                      "convert_unit": "feet",
                                                      "default_unit": "cm"
                                                    }
                                                  },
                                                  "size_data": {
                                                    "name": "size_data",
                                                    "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                                    "type": "array",
                                                    "items": {
                                                      "name": "size_data",
                                                      "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                                      "type": "object",
                                                      "properties": {
                                                        "row_data": {
                                                          "name": "row_data",
                                                          "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                          "type": "array",
                                                          "items": {
                                                            "name": "row_data",
                                                            "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                            "type": "string",
                                                            "example": "XS,64"
                                                          },
                                                          "example": [
                                                            "XS,64"
                                                          ]
                                                        }
                                                      },
                                                      "required": [
                                                        "row_data"
                                                      ],
                                                      "example": {
                                                        "row_data": [
                                                          "XS,64"
                                                        ]
                                                      }
                                                    },
                                                    "example": [
                                                      {
                                                        "row_data": [
                                                          "XS,64"
                                                        ]
                                                      }
                                                    ]
                                                  },
                                                  "column_title": {
                                                    "name": "column_title",
                                                    "description": "The column title in a cross table that indicates the size information represented by the column data. For example, `weight` denotes that the column data represents weight data.\n\nDefault value: `weight`\n\nMaximum length：20 ",
                                                    "type": "string",
                                                    "example": "weight"
                                                  },
                                                  "column_unit": {
                                                    "name": "column_unit",
                                                    "description": "The size unit of  the columns in the  cross table.",
                                                    "type": "object",
                                                    "properties": {
                                                      "convert_unit": {
                                                        "name": "convert_unit",
                                                        "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `kg`.",
                                                        "type": "string",
                                                        "example": "kg"
                                                      },
                                                      "default_unit": {
                                                        "name": "default_unit",
                                                        "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `lb`.\n",
                                                        "type": "string",
                                                        "example": "lb"
                                                      },
                                                      "unit_type": {
                                                        "name": "unit_type",
                                                        "description": "The unit types supported by cross tables. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                        "type": "string",
                                                        "example": "WEIGHT"
                                                      }
                                                    },
                                                    "example": {
                                                      "unit_type": "WEIGHT",
                                                      "convert_unit": "kg",
                                                      "default_unit": "lb"
                                                    }
                                                  }
                                                },
                                                "required": [
                                                  "size_data"
                                                ],
                                                "example": {
                                                  "row_title": "height",
                                                  "row_unit": {
                                                    "convert_unit": "feet",
                                                    "default_unit": "cm",
                                                    "unit_type": "LENGTH"
                                                  },
                                                  "size_data": [
                                                    {
                                                      "row_data": [
                                                        "XS,64"
                                                      ]
                                                    }
                                                  ],
                                                  "column_title": "weight",
                                                  "column_unit": {
                                                    "convert_unit": "kg",
                                                    "default_unit": "lb",
                                                    "unit_type": "WEIGHT"
                                                  },
                                                  "remark": "1 lb = 0.45 kg，1 feet = 30.48 cm"
                                                }
                                              },
                                              "table_content": {
                                                "name": "table_content",
                                                "description": "Table data that commonly used to display size data in tabular form. For example, the shoulder width for size S is 60, and the waist circumference is 55.",
                                                "type": "object",
                                                "properties": {
                                                  "size_data": {
                                                    "name": "size_data",
                                                    "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                                    "type": "array",
                                                    "items": {
                                                      "name": "size_data",
                                                      "description": "A list of table data, where the first element represents the table header. Each element in the array corresponds to a row of data in the table. \n\nMaximum size: 50 ",
                                                      "type": "object",
                                                      "properties": {
                                                        "row_data": {
                                                          "name": "row_data",
                                                          "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                          "type": "array",
                                                          "items": {
                                                            "name": "row_data",
                                                            "description": "A list of cross table row data, where each element in the array represents data within a cell. \n\nMaximum size: 50\n\nMaximum length per string: 19",
                                                            "type": "string",
                                                            "example": "XS,64"
                                                          },
                                                          "example": [
                                                            "XS,64"
                                                          ]
                                                        }
                                                      },
                                                      "required": [
                                                        "row_data"
                                                      ],
                                                      "example": {
                                                        "row_data": [
                                                          "XS,64"
                                                        ]
                                                      }
                                                    },
                                                    "example": [
                                                      {
                                                        "row_data": [
                                                          "XS,64"
                                                        ]
                                                      }
                                                    ]
                                                  },
                                                  "unit": {
                                                    "name": "unit",
                                                    "description": "The unit of measurement used for the size data in the table.",
                                                    "type": "object",
                                                    "properties": {
                                                      "default_unit": {
                                                        "name": "default_unit",
                                                        "description": "The default display unit for the size data. \nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `cm`.\n",
                                                        "type": "string",
                                                        "example": "cm"
                                                      },
                                                      "unit_type": {
                                                        "name": "unit_type",
                                                        "description": "The unit types supported by table. Valid values are:\n- `LENGTH`: length\n- `WEIGHT`(default value): weight\n- `BULK`: volume\n\nThe following table shows the specific measurement units supported by each unit type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                        "type": "string",
                                                        "example": "LENGTH"
                                                      },
                                                      "convert_unit": {
                                                        "name": "convert_unit",
                                                        "description": "The optional display unit for the size data. Customers can switch between the default unit (`default_unit`) and this unit to display sizes.\nRefer to the table in the `unit_type` description for valid values of this field. You need to set a supported unit based on the specified `unit_type`.\n\nDefault value: `in`.",
                                                        "type": "string",
                                                        "example": "in"
                                                      }
                                                    },
                                                    "example": {
                                                      "unit_type": "LENGTH",
                                                      "convert_unit": "in",
                                                      "default_unit": "cm"
                                                    }
                                                  },
                                                  "country_size": {
                                                    "name": "country_size",
                                                    "description": "The country size data, representing size names in different countries. ",
                                                    "type": "object",
                                                    "properties": {
                                                      "country_size_data": {
                                                        "name": "country_size_data",
                                                        "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                        "type": "array",
                                                        "items": {
                                                          "name": "country_size_data",
                                                          "description": "The country size data, where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                          "type": "object",
                                                          "properties": {
                                                            "country": {
                                                              "name": "country",
                                                              "description": "Country name.\n\nMaximum length per name：19",
                                                              "type": "string",
                                                              "example": "US"
                                                            },
                                                            "data": {
                                                              "name": "data",
                                                              "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                                              "type": "array",
                                                              "items": {
                                                                "name": "data",
                                                                "description": "A list of names for different sizes in a country. \n\nMaximum size: 21\n\nMaximum length per string: 19",
                                                                "type": "string",
                                                                "example": "78,89"
                                                              },
                                                              "example": [
                                                                "78,89"
                                                              ]
                                                            }
                                                          },
                                                          "required": [
                                                            "country",
                                                            "data"
                                                          ],
                                                          "example": {
                                                            "country": "US",
                                                            "data": [
                                                              "78,89"
                                                            ]
                                                          }
                                                        },
                                                        "example": [
                                                          {
                                                            "country": "US",
                                                            "data": [
                                                              "78,89"
                                                            ]
                                                          }
                                                        ]
                                                      },
                                                      "cover_attribute": {
                                                        "name": "cover_attribute",
                                                        "description": "Whether to use `country_size_data` to override the default size values. \n\n● `true`：override\n      \n● `false`：not override\n\nDefault value：`false`",
                                                        "type": "boolean",
                                                        "example": false
                                                      },
                                                      "status": {
                                                        "name": "status",
                                                        "description": "Whether to turn on the country size switch.\n\n● `true`：turn on the switch. \n      \n● `false`：turn off the switch.\n\nDefault value：`false`\n\n",
                                                        "type": "boolean",
                                                        "example": true
                                                      }
                                                    },
                                                    "required": [
                                                      "country_size_data"
                                                    ],
                                                    "example": {
                                                      "cover_attribute": false,
                                                      "status": true,
                                                      "country_size_data": [
                                                        {
                                                          "data": [
                                                            "78,89"
                                                          ],
                                                          "country": "US"
                                                        }
                                                      ]
                                                    }
                                                  },
                                                  "remark": {
                                                    "name": "remark",
[...]
